> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devinenterprise.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Cicli di consumo

> Genera un elenco di tutti i cicli di fatturazione per l'account Enterprise

Richiede la API key personale di un amministratore Enterprise.

Restituisce un elenco di tutti i cicli di fatturazione per il tuo account Enterprise dalla creazione fino a oggi.


## OpenAPI

````yaml it/v2-openapi.yaml GET /v2/enterprise/consumption/cycles
openapi: 3.1.0
info:
  description: API Devin v2 con Personal API Keys per gli amministratori Enterprise
  title: Devin API v2
  version: 2.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v2/enterprise/consumption/cycles:
    get:
      tags:
        - consumption
      summary: Endpoint dei cicli di utilizzo
      description: >-
        Genera l'elenco di tutti i cicli di fatturazione dell'account Enterprise
        fino a oggi.
      operationId: consumption_cycles_endpoint_v2_enterprise_consumption_cycles_get
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/BillingCycle'
                title: >-
                  Response Consumption Cycles Endpoint V2 Enterprise Consumption
                  Cycles Get
                type: array
          description: Risposta riuscita
components:
  schemas:
    BillingCycle:
      properties:
        end:
          format: date-time
          title: End
          type: string
        start:
          format: date-time
          title: Start
          type: string
      required:
        - start
        - end
      title: BillingCycle
      type: object
  securitySchemes:
    bearerAuth:
      description: API key personale (apk_user_*) riservata agli amministratori Enterprise
      scheme: bearer
      type: http

````